## MucharmapCharmap MucharmapCharmap |

## Synopsis

                        MucharmapCharmapPrivate;
                        MucharmapCharmap;
    GtkWidget *            mucharmap_charmap_new            (void);
    void                mucharmap_charmap_set_active_character
                                                            (MucharmapCharmap *charmap,
                                                             gunichar uc);
    gunichar            mucharmap_charmap_get_active_character
                                                            (MucharmapCharmap *charmap);
    void                mucharmap_charmap_set_active_chapter
                                                            (MucharmapCharmap *charmap,
                                                             const gchar *chapter);
    char *              mucharmap_charmap_get_active_chapter
                                                            (MucharmapCharmap *charmap);
    void                mucharmap_charmap_set_font_desc     (MucharmapCharmap *charmap,
                                                             PangoFontDescription *font_desc);
    MucharmapChartable *      mucharmap_charmap_get_chartable
                                                            (MucharmapCharmap *charmap);
    MucharmapChaptersView *   mucharmap_charmap_get_chapters_view
                                                            (MucharmapCharmap *charmap);
    void                mucharmap_charmap_set_chapters_model
                                                            (MucharmapCharmap *charmap,
                                                             MucharmapChaptersModel *model);
    MucharmapChaptersModel *  mucharmap_charmap_get_chapters_model
                                                            (MucharmapCharmap *charmap);
    MucharmapCodepointList *  mucharmap_charmap_get_book_codepoint_list
                                                            (MucharmapCharmap *charmap);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkPaned
                                     +----MucharmapCharmap

## Implemented Interfaces

MucharmapCharmap implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "active-chapter"           gchar*                : Read / Write
      "active-character"         guint                 : Read / Write
      "active-codepoint-list"    MucharmapCodepointList*  : Read
      "active-page"              guint                 : Read / Write
      "chapters-model"           MucharmapChaptersModel*  : Write / Construct
      "font-desc"                PangoFontDescription*  : Read / Write
      "snap-power-2"             gboolean              : Read / Write

## Signals

      "link-clicked"                                   : Run First
      "status-message"                                 : Run First

## Description

## Details

### MucharmapCharmapPrivate

    typedef struct _MucharmapCharmapPrivate MucharmapCharmapPrivate;

### MucharmapCharmap

    typedef struct _MucharmapCharmap MucharmapCharmap;

### mucharmap_charmap_new ()

    GtkWidget *            mucharmap_charmap_new            (void);

Returns : |

### mucharmap_charmap_set_active_character ()

    void                mucharmap_charmap_set_active_character
                                                            (MucharmapCharmap *charmap,
                                                             gunichar uc);

`charmap` : |
`uc` : |

### mucharmap_charmap_get_active_character ()

    gunichar            mucharmap_charmap_get_active_character
                                                            (MucharmapCharmap *charmap);

`charmap` : |
Returns : |

### mucharmap_charmap_set_active_chapter ()

    void                mucharmap_charmap_set_active_chapter
                                                            (MucharmapCharmap *charmap,
                                                             const gchar *chapter);

`charmap` : |
`chapter` : |

### mucharmap_charmap_get_active_chapter ()

    char *              mucharmap_charmap_get_active_chapter
                                                            (MucharmapCharmap *charmap);

`charmap` : |
Returns : |

### mucharmap_charmap_set_font_desc ()

    void                mucharmap_charmap_set_font_desc     (MucharmapCharmap *charmap,
                                                             PangoFontDescription *font_desc);

Sets `font_desc` as the font to use to display the character table.

`font_desc` : | a PangoFontDescription

### mucharmap_charmap_get_chartable ()

    MucharmapChartable *      mucharmap_charmap_get_chartable
                                                            (MucharmapCharmap *charmap);

`charmap` : |
Returns : |

### mucharmap_charmap_get_chapters_view ()

    MucharmapChaptersView *   mucharmap_charmap_get_chapters_view
                                                            (MucharmapCharmap *charmap);

`charmap` : |
Returns : |

### mucharmap_charmap_set_chapters_model ()

    void                mucharmap_charmap_set_chapters_model
                                                            (MucharmapCharmap *charmap,
                                                             MucharmapChaptersModel *model);

`charmap` : |
`model` : |

### mucharmap_charmap_get_chapters_model ()

    MucharmapChaptersModel *  mucharmap_charmap_get_chapters_model
                                                            (MucharmapCharmap *charmap);

`charmap` : |
Returns : |

### mucharmap_charmap_get_book_codepoint_list ()

    MucharmapCodepointList *  mucharmap_charmap_get_book_codepoint_list
                                                            (MucharmapCharmap *charmap);

`charmap` : |
Returns : |

## Property Details

### The `"active-chapter"` property

      "active-chapter"           gchar*                : Read / Write

Default value: NULL

### The `"active-character"` property

      "active-character"         guint                 : Read / Write

Allowed values: <= 1114111

Default value: 0

### The `"active-codepoint-list"` property

      "active-codepoint-list"    MucharmapCodepointList*  : Read

### The `"active-page"` property

      "active-page"              guint                 : Read / Write

Default value: 0

### The `"chapters-model"` property

      "chapters-model"           MucharmapChaptersModel*  : Write / Construct

### The `"font-desc"` property

      "font-desc"                PangoFontDescription*  : Read / Write

### The `"snap-power-2"` property

      "snap-power-2"             gboolean              : Read / Write

Default value: FALSE

## Signal Details

### The `"link-clicked"` signal

    void                user_function                      (MucharmapCharmap *mucharmapcharmap,
                                                            guint             arg1,
                                                            guint             arg2,
                                                            gpointer          user_data)             : Run First

`mucharmapcharmap` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.

### The `"status-message"` signal

    void                user_function                      (MucharmapCharmap *mucharmapcharmap,
                                                            gchar            *arg1,
                                                            gpointer          user_data)             : Run First

`mucharmapcharmap` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.